package com.ssj.service.conch.student.request;

import com.ssj.bean.common.framework.core.domain.BaseRequest;

import io.swagger.annotations.ApiModelProperty;

/**
 * @author Mount Liu
 * @date 2018/8/15
 */
public class SchoolmateCircleReq extends BaseRequest{

	private static final long serialVersionUID = 1L;

	@ApiModelProperty(name = "pageNo", value = "页码", required = true)
	private int pageNo;
	@ApiModelProperty(name = "pageSize", value = "页数", required = true)
	private int pageSize;
	@ApiModelProperty(name = "type", value = "类型。1：分享圈，2：答题榜", required = true)
	private int type;
	@ApiModelProperty(name = "authority", value = "权限。0：全部，1：好友的，2：我的", required = true)
	private int authority;
	@ApiModelProperty(name = "maxCreateTime", value = "最大时间,格式(yyyy-MM-dd HH:mm:ss)", required = true)
	private String maxCreateTime;

	public int getPageNo() {
		return pageNo;
	}

	public void setPageNo(int pageNo) {
		this.pageNo = pageNo;
	}

	public int getPageSize() {
		return pageSize;
	}

	public void setPageSize(int pageSize) {
		this.pageSize = pageSize;
	}

	public int getType() {
		return type;
	}

	public void setType(int type) {
		this.type = type;
	}

	public int getAuthority() {
		return authority;
	}

	public void setAuthority(int authority) {
		this.authority = authority;
	}

	public String getMaxCreateTime() {
		return maxCreateTime;
	}

	public void setMaxCreateTime(String maxCreateTime) {
		this.maxCreateTime = maxCreateTime;
	}
}
